<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'gallery',

    /*
     * Modules.
     */
    'modules'   => ['gallery', 
'category'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'gallery'       => [
        'model' => [
            'model'                 => \Lavalite\Gallery\Models\Gallery::class,
            'table'                 => 'galleries',
            'presenter'             => \Lavalite\Gallery\Repositories\Presenter\GalleryItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'name',  'release_date',  'category_id',  'description',  'image'],
            'translatables'         => [],
            'upload_folder'         => 'gallery/gallery',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Gallery',
            'module'    => 'Gallery',
        ],

    ],

    'category'       => [
        'model' => [
            'model'                 => \Lavalite\Gallery\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Lavalite\Gallery\Repositories\Presenter\CategoryItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'gallery/category',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Gallery',
            'module'    => 'Category',
        ],

    ],
];
