<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header with-sub" data-background-color="red">
                        <div class="row">
                            <div class="col-sm-7 title-main">
                                <i class="pe-7s-display2"></i>
                                <h4 class="title">{!! trans('gallery::gallery.title.main') !!}</h4>
                                <p class="sub-title">{!! trans('gallery::gallery.title.sub') !!}</p>
                            </div>
                            <div class="col-sm-5">
                                <div class="columns columns-right pull-right">
                                    <button class="btn btn-default" name="refresh" title="Refresh" type="button">
                                        <i class="fa fa-search"> </i>
                                    </button>
                                    <a href="{!!guard_url('gallery/gallery/create')!!}" rel="tooltip" class="btn btn-default add-new" data-original-title="" title="">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                </div>
                                <div class="search pull-right">
                                    {!!Form::open()
                                   ->method('GET')
                                   ->class('form pn')
                                   ->action(guard_url('gallery/gallery'))!!}
                                    <div class="form-group form-white mn">
                                      <input class="form-control" placeholder="Search" id="search" type="text" name="search">
                                    </div>
                                    {!! Form::close()!!}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card-content table-responsive">
                        @include('notifications')
                        <table class="table table-bigboy">
                            <thead>
                                <tr>
                                    <th class="text-center">Image</th>
                                    <th>{!! trans('gallery::gallery.label.name')!!}</th>
                    <th>{!! trans('gallery::gallery.label.release_date')!!}</th>
                    <th>{!! trans('gallery::gallery.label.category_id')!!}</th>
                    <th>{!! trans('gallery::gallery.label.description')!!}</th>
                    <th>{!! trans('gallery::gallery.label.image')!!}</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($galleries as $gallery)
                                <tr>
                                    <td>
                                        <div class="img-container">
                                            <a href="{{guard_url('gallery')}}/{{$gallery->getPublickey()}}">
                                              <img alt="" class="img-responsive" src="{!!url($gallery->defaultImage('sm','images'))!!}">
                                            </a>
                                        </div>
                                    </td>
                                    <td>{{ $gallery->name }}</td>
                    <td>{{ $gallery->release_date }}</td>
                    <td>{{ $gallery->category_id }}</td>
                    <td>{{ $gallery->description }}</td>
                    <td>{{ $gallery->image }}</td>
                                    <td class="td-actions">
                                        <a href="{{trans_url('gallery')}}/{!!$gallery->getPublicKey()!!}" rel="tooltip" data-toggle="tooltip" data-placement="top" title="View Gallery" class="btn btn-info btn-simple">
                                            <i class="material-icons">panorama</i>
                                        </a>
                                        <a href="{!! guard_url('gallery/gallery') !!}/{!! $gallery->getRouteKey() !!}/edit" rel="tooltip" data-toggle="tooltip" data-placement="top" title="Edit Gallery" class="btn btn-success btn-simple">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <a rel="tooltip" data-toggle="tooltip" data-placement="top" title="Remove Gallery" class="btn btn-danger btn-simple" data-action="DELETE" data-href="{!! guard_url('gallery/gallery') !!}/{!! $gallery->getRouteKey() !!}" data-remove="{!! $gallery->getRouteKey() !!}">
                                            <i class="material-icons">close</i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td colspan='4' class='text-center'><p>No galleries found.</p></td>
                                </tr>
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer">
                        {{$galleries->links()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>