<?php

namespace Lavalite\Gallery\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Gallery policy
        'Lavalite\Gallery\Models\Gallery' => \Lavalite\Gallery\Policies\GalleryPolicy::class,
// Bind Category policy
        'Lavalite\Gallery\Models\Category' => \Lavalite\Gallery\Policies\CategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
